package au.edu.unimelb.csse.mugle.shared.platform.exceptions;

public class GameFileExists extends MugleException {

    private static final long serialVersionUID = -1312871504248023105L;

    public GameFileExists() {
        super();
    }
    
    public GameFileExists(Long primaryKey) {
        super("The gameFile with primary key " + primaryKey.toString() + " already exists.");
    }
    
    public GameFileExists(String gameName, String gameVersion, String path) {
        super("The file " + path + " for the version " + gameVersion + 
                        " of " + gameName + " already exists.");
    }
    
}
