/*  Melbourne University Game-based Learning Environment
 *  Copyright (C) 2011 The University of Melbourne
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package au.edu.unimelb.csse.mugle.client.multiplayer.api;

import com.google.gwt.core.client.JavaScriptObject;

public final class ChannelError extends JavaScriptObject {
    protected ChannelError() {

    }

    /** Returns a short description of the error encountered. */
    public final native String getDescription() /*-{
		return this.description;
    }-*/;

    /** Returns the HTTP error code corresponding to the error encountered. */
    public final native int getCode() /*-{
		return this.code;
    }-*/;
}
