/*  Melbourne University Game-based Learning Environment
 *  Copyright (C) 2011 The University of Melbourne
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package au.edu.unimelb.csse.mugle.client.ui;

import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.Widget;

/**
 * This is a place holder class for missing views.
 * This should be removed once all views are completely implemented.
 *
 */
public class PlaceHolderViewBuilder extends ViewBuilder {

    public PlaceHolderViewBuilder(String message) {
        super(message);
    }

    @Override
    public Widget buildView() {

        this.clearPanel();

        this.getDataPanel().add(new Label(this.getUrlFragment()));

        return this.getDataPanel();

    }

}
